/*                                                                 String handling for libwww
                                         STRINGS
                                             
   Case-independent string comparison and allocations with copies etc
   
 */
#ifndef HTSTRING_H
#define HTSTRING_H

#include "JG_HTUtils.h"

extern int JG_WWW_TraceFlag;       /* Global flag for all W3 trace */

extern CONST char * JG_HTLibraryVersion;   /* String for help screen etc */

/*

Case-insensitive string comparison

   The usual routines (comp instead of cmp) had some problem.
   
 */
extern int strcasecomp  PARAMS((CONST char *a, CONST char *b));
extern int strncasecomp PARAMS((CONST char *a, CONST char *b, int n));

/*

Malloced string manipulation

 */
#define StrAllocCopy(dest, src) JG_HTSACopy (&(dest), src)
#define StrAllocCat(dest, src)  JG_HTSACat  (&(dest), src)
extern char * JG_HTSACopy PARAMS ((char **dest, CONST char *src));
extern char * JG_HTSACat  PARAMS ((char **dest, CONST char *src));

/*

Next word or quoted string

 */
extern char * JG_HTNextField PARAMS ((char** pstr));


#endif
/*

   end
   
    */
